package org.dromara.system.service;

import org.dromara.common.core.domain.R;
import org.dromara.system.domain.CourseChange;
import org.dromara.system.domain.vo.CourseChangeVo;
import org.dromara.system.domain.bo.CourseChangeBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 调课Service接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface ICourseChangeService {

    /**
     * 查询调课
     */
    CourseChangeVo queryById(Long id);

    /**
     * 查询调课列表
     */
    TableDataInfo<CourseChangeVo> queryPageList(CourseChangeBo bo, PageQuery pageQuery);

    /**
     * 查询调课列表
     */
    List<CourseChangeVo> queryList(CourseChangeBo bo);

    /**
     * 新增调课
     */
    R<Void> insertByBo(CourseChangeBo bo);

    /**
     * 修改调课
     */
    Boolean updateByBo(CourseChangeBo bo);

    /**
     * 校验并批量删除调课信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    TableDataInfo<CourseChangeVo> courseList(CourseChangeBo bo, PageQuery pageQuery);

    R<Void> updateCourseChangeReply(CourseChangeBo bo);
}
